Summary: PNG library
Name: libpng
Version: 1.0.1
Release: 6
Copyright: distributable
Group: Libraries
Source: ftp://ftp.uu.net/graphics/png/src/libpng-1.0.1.tar.gz
Patch0: libpng-1.0.1-rh.patch
Buildroot: /var/tmp/libpng-root
%define LIBVER 2.1.0
Summary(de): PNG-Library
Summary(fr): Librarie PNG.
Summary(tr): PNG kitapl
Serial: 1

%description
The PNG library is a collection of routines used to crate and manipulate
PNG format graphics files.  The PNG format was designed as a replacement
for GIF, with many improvements and extensions.

%package devel
Summary: headers and static libraries
Group: Development/Libraries
Requires: libpng = %{PACKAGE_VERSION}
Summary(de): Headers und statische Libraries 
Summary(fr): en-ttes et bibliothques statiques
Summary(tr): balk dosyalar ve statik kitaplklar
Serial: 1

%description devel
The header files and static libraries are only needed for development
of programs using the PNG library.

%description -l de devel
Die Header-Dateien und statischen Libraries werden nur zur Entwicklung
von Programmen mit der PNG-Library bentigt.

%description -l de
Die PNG-Library ist eine Sammlung von Routinen zum Erstellen und Bearbeiten
von Grafiken im PNG-Format. Das PNG-Format wurde als Ersatz fr GIF
entwickelt und enthlt viele Verbesserungen und Erweiterungen.

%description -l fr devel
Fichiers d'en-tete et les librairies qui sont requis seulement pour
le dveloppement avec la librairie PNG.

%description -l fr
La librairie PNG est un ensemble de routines utilises pour crer et 
manipuler des fichiers graphiques au format PNG. Le format PNG a t
labor pour remplacer le GIF, avec de nombreuses amliorations et
extensions.

%description -l tr devel
PNG kitapln kullanan programlar gelitirmek iin gereken kitaplklar ve
balk dosyalar.

%description -l tr
PNG kitapl, PNG formatndaki resim dosyalarn ilemeye ynelik yordamlar
ierir. PNG, GIF formatnn yerini almak zere tasarlanm bir resim formatdr.

%prep
%setup
ln -s scripts/makefile.lnx ./Makefile
%patch0 -p1 -b .rh

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" -j2  

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/man/man{3,5}
install -m 644 *.3 $RPM_BUILD_ROOT/usr/man/man3
install -m 644 *.5 $RPM_BUILD_ROOT/usr/man/man5

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc *.txt example.c README TODO CHANGES
/usr/lib/libpng.so.%{LIBVER}
/usr/man/man5/*

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/libpng.a
/usr/lib/libpng.so
/usr/man/man3/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Wed Sep 23 1998 Cristian Gafton <gafton@redhat.com>
- we are Serial: 1 now because we are reverting the 1.0.2 version from 5.2
  beta to this prior one
- install man pages; set defattr defaults

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel subpackage moved to Development/Libraries

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.0.1
- added buildroot

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- updated to new version
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

